import type { CommunityIpfsType } from "../../../../community/types.js";
import type { CommentUpdateType } from "../../../../publications/comment/types.js";
import type { LocalCommunity } from "../local-community.js";
import type { CommentUpdateToWriteToDbAndPublishToIpfs } from "./defaults.js";
export declare function calculateNewPostUpdates(community: LocalCommunity): Promise<CommunityIpfsType["postUpdates"]>;
export declare function calculateLatestUpdateTrigger(community: LocalCommunity): void;
export declare function requireCommunityUpdateIfModQueueChanged(community: LocalCommunity): void;
export declare function resolveIpnsAndLogIfPotentialProblematicSequence(community: LocalCommunity): Promise<void>;
export declare function addOldPageCidsToCidsToUnpin(community: LocalCommunity, curPages: CommentUpdateType["replies"] | CommunityIpfsType["posts"] | CommunityIpfsType["modQueue"], newPages: CommentUpdateType["replies"] | CommunityIpfsType["posts"] | CommunityIpfsType["modQueue"], addToBlockRm?: boolean): Promise<void>;
export declare function shouldResolveDomainForVerification(community: LocalCommunity): boolean;
export declare function updateCommunityIpnsIfNeeded(community: LocalCommunity, commentUpdateRowsToPublishToIpfs: CommentUpdateToWriteToDbAndPublishToIpfs[]): Promise<void>;
export declare function syncIpnsWithDb(community: LocalCommunity): Promise<void>;
